Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027584
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorsometimes2014-09-11 11:282015-12-14 14:19
Reportereduardo_ArgalView Statuspublic 
Assigned Toinigosanchez 
PriorityhighResolutionout of dateFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027584: Wrong value is taken from context when session variable and context field name are the same

DescriptionWrong value is taken from context when session variable and context field name are the same.
It first takes the value from the session and value in the form should go first
Steps To ReproduceUsing this repo:
https://code.openbravo.com/erp/mods/org.openbravo.finance.addpaymentcreditpaymentsgrid/ [^]

1) Open Add Payment Process definition from Menu
2) Change Organization to US
3) select Cash Payment method
4) Realize that financial account combo displays no values while it should.

The problem is that the field property is called 'c_currency_id', the same as a session variable. It contains 100 value (USD) but a session holds a 102 value (EUR), parameter is being wrongly replaced when querying
TagsNo tags attached.
Attached Filesdiff file icon halsted_Q3.diff [^] (244,029 bytes) 2014-09-12 10:08 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00309933.0PR16Q1 closedalostale It is not possible to define a preference as default value when column has a default defined in ad_column 
related to defect 0026827 feedbackumartirena Columns Stored In Session are not being set in session when the field is not displayed 

-  Notes
(0070083)
eduardo_Argal (developer)
2014-09-11 12:17

Find attached the patch you need to apply on a Q3 release to be able to test the issue.
Use this patch together with the module described in the 'Steps To Reproduce' section
(0070089)
AugustoMauch (developer)
2014-09-11 19:04

The patch is not applied smoothly on an Openbravo Q3.1 instance.
(0082722)
inigosanchez (developer)
2015-12-14 14:19

This issue is rejected because a year passed than the patch was not able to applied smoothly on an Openbravo Q3.1 instance. Besides it has been tested in pi version and it can not be reproduced.

- Issue History
Date Modified Username Field Change
2014-09-11 11:28 eduardo_Argal New Issue
2014-09-11 11:28 eduardo_Argal Assigned To => AugustoMauch
2014-09-11 11:28 eduardo_Argal Modules => Core
2014-09-11 11:28 eduardo_Argal Triggers an Emergency Pack => No
2014-09-11 12:17 eduardo_Argal Note Added: 0070083
2014-09-11 12:17 eduardo_Argal File Added: halsted_Q3.diff
2014-09-11 19:04 AugustoMauch Note Added: 0070089
2014-09-11 19:04 AugustoMauch Status new => feedback
2014-09-12 10:07 eduardo_Argal File Deleted: halsted_Q3.diff
2014-09-12 10:08 eduardo_Argal File Added: halsted_Q3.diff
2014-09-29 08:31 alostale Target Version 3.0PR14Q4 => 3.0PR15Q1
2014-12-22 10:54 alostale Target Version 3.0PR15Q1 =>
2015-03-17 14:37 alostale Assigned To AugustoMauch => platform
2015-11-06 11:47 alostale Relationship added related to 0030993
2015-11-06 11:47 alostale Assigned To platform => alostale
2015-11-06 11:47 alostale Assigned To alostale => platform
2015-11-06 11:48 alostale Status feedback => new
2015-11-06 11:48 alostale Status new => acknowledged
2015-11-06 11:49 alostale Relationship added related to 0026827
2015-11-11 11:34 alostale Priority urgent => high
2015-12-10 11:27 caristu Assigned To platform => inigosanchez
2015-12-10 13:08 inigosanchez Status acknowledged => scheduled
2015-12-14 14:19 inigosanchez Review Assigned To => alostale
2015-12-14 14:19 inigosanchez Note Added: 0082722
2015-12-14 14:19 inigosanchez Status scheduled => closed
2015-12-14 14:19 inigosanchez Resolution open => out of date


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker